

export async function post_request(url, body, form_status){
    let req;

    try {
        req = await fetch(url, {
            method: 'POST',
            body: JSON.stringify(body),
            mode: "cors"
        });
    } catch (e) {
        form_status.innerHTML = `<span style='background-color: red; color: white'>${e}</span>`;
        return;
    }

    if (req.status !== 200) {
        form_status.innerHTML = "<span style='background-color: red; color: white'>Failure</span>";
        return;
    }

    let temp = await req.json();
    if (temp.result === 'error') {
        form_status.innerHTML = `<span style='background-color: red; color: white'>${temp.error}</span>`;
    } else {
        form_status.innerHTML = "<span style='background-color: green; color: white'>Success</span>";
    }
}